baseURL = "https://www.nick-slowinski.de"
defaultContentLanguage = "de"
languageCode = "de"
title = "Nick Slowinski"
theme = "FixIt"
enableEmoji = true
enableGitInfo = true

[menu]
  [[menu.main]]
    identifier = "posts"
    # you can add extra information before the name (HTML format is supported), such as icons
    pre = ""
    # you can add extra information after the name (HTML format is supported), such as icons
    post = ""
    name = "Artikel"
    url = "/posts/"
    # title will be shown when you hover on this menu link
    title = ""
    weight = 1
    # FixIt 0.2.14 | NEW add user-defined content to menu items
    [menu.main.params]
      # add css class to a specific menu item
      class = ""
      # whether set as a draft menu item whose function is similar to a draft post/page
      draft = false
      # FixIt 0.2.16 | NEW add fontawesome icon to a specific menu item
      icon = "fa-solid fa-archive"
      # FixIt 0.2.16 | NEW set menu item type, optional values: ["mobile", "desktop"]
      type = ""
  [[menu.main]]
    identifier = "categories"
    pre = ""
    post = ""
    name = "Kategorien"
    url = "/categories/"
    title = ""
    weight = 2
    [menu.main.params]
      icon = "fa-solid fa-th"
  [[menu.main]]
    identifier = "tags"
    pre = ""
    post = ""
    name = "Tags"
    url = "/tags/"
    title = ""
    weight = 3
    [menu.main.params]
      icon = "fa-solid fa-tags"

[params]
  # LoveIt theme version
  version = "0.2.X"
  gitRepo = "https://git.nick-slowinski.de/nick-slowinski.de/www"
  defaultTheme = "auto"
  # Home page config
    # Header config
  [params.header]
    # FixIt 0.2.13 | CHANGED desktop header mode ["sticky", "normal", "auto"]
    desktopMode = "sticky"
    # FixIt 0.2.13 | CHANGED mobile header mode ["sticky", "normal", "auto"]
    mobileMode = "auto"
    # FixIt 0.2.0 | NEW Header title config
    [params.header.title]
      # URL of the LOGO
      logo = ""
      # title name
      name = "Nick Slowinski"
      # you can add extra information before the name (HTML format is supported), such as icons
      pre = ""
      # you can add extra information after the name (HTML format is supported), such as icons
      post = ""
      # FixIt 0.2.5 | NEW whether to use typeit animation for title name
      typeit = false
    # FixIt 0.2.12 | NEW Header subtitle config
    [params.header.subtitle]
      # subtitle name
      name = ""
      # whether to use typeit animation for subtitle name
      typeit = false
  [params.home]
    # LoveIt NEW | 0.2.0 amount of RSS pages
    rss = 10
    # Home page profile
    [params.home.profile]
      enable = true
      # URL of avatar shown in home page
      avatarURL = "/images/Nick_Slowinski.png"
      title = "Nick Slowinski"
      # subtitle shown in home page
      subtitle = "Entschuldigung, hier ist momentan nicht viel. Ich werde bald mehr hinzufügen.     Irgendwann.     Versprochen."
      # whether to use typeit animation for subtitle
      typeit = true
      # whether to show social links
      social = true
      # LoveIt NEW | 0.2.0 disclaimer (HTML format is supported)
      disclaimer = ""
    # Home page posts
    [params.home.posts]
      enable = true
      # special amount of posts in each home posts page
      paginate = 6
  [params.search]
  enable = true
  # type of search engine ("lunr", "algolia")
  type = "fuse"
  # max index length of the chunked content
  contentLength = 4000
  # placeholder of the search bar
  placeholder = ""
  # LoveIt NEW | 0.2.1 max number of results length
  maxResultLength = 10
  # LoveIt NEW | 0.2.3 snippet length of the result
  snippetLength = 30
  # LoveIt NEW | 0.2.1 HTML tag name of the highlight part in results
  highlightTag = "em"
  # LoveIt NEW | 0.2.4 whether to use the absolute URL based on the baseURL in search index
  absoluteURL = false

  [params.search.fuse]
      # FixIt 0.2.17 | NEW https://fusejs.io/api/options.html
      isCaseSensitive = false
      minMatchCharLength = 2
      findAllMatches = false
      location = 0
      threshold = 0.3
      distance = 100
      ignoreLocation = false
      useExtendedSearch = false
      ignoreFieldNorm = false

  # Social config about the author
  [params.social]
    Telegram = "NickSlowinski"
    Gitea = "https://git.nick-slowinski.de/NickSlowinski/"
    Email = "nick@nick-slowinski.de"
    Twitter = "NickSlowinski"
    Paypal = "nick1307"
    Steam = "nick1307"
    RSS = false

[params.footer]
    custom = '<a href="/impressum/" target="_blank">Impressum, Haftungsausschluss und Datenschutzerklärung</a>'

[params.cookieconsent]
    enable = false
    # text strings used for Cookie consent banner


# Markup related configuration in Hugo
[markup]
  # Syntax Highlighting (https://gohugo.io/content-management/syntax-highlighting)
  [markup.highlight]
    # false is a necessary configuration (https://github.com/dillonzq/LoveIt/issues/158)
    noClasses = false

[author]
  name = "Nick Slowinski"
  email = "nick@nick-slowinski.de"
  link = ""

[outputs]
  home = ["HTML", "RSS", "JSON"]